=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_GOPKG := github.com/gogo/protobuf

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
## Ignore test failures:
##    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=824717
##    https://github.com/gogo/protobuf/issues/164
	-PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test
else
	PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test
endif
