=== debian/changelog ===
golang-gogoprotobuf (0.3+git20170120.144.265e960d-1ubuntu1) zesty; urgency=medium

  * debian/patches/bigendian-tests.diff: Backport commit 100ba4e from upstream
    to skip tests when they'd fail on big endian arches.

 -- William Grant <wgrant@ubuntu.com>  Fri, 17 Mar 2017 20:34:01 +1100

golang-gogoprotobuf (0.3+git20170120.144.265e960d-1) unstable; urgency=medium

  * New upstream snapshot.  This ensures generated code can be compiled
    using the golang-grpc 1.x package.

 -- Tim Potter <tpot@hpe.com>  Wed, 25 Jan 2017 08:39:04 +1100
