=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-gogoprotobuf
 Section: devel
 Priority: extra
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9), dh-golang (>= 1.9), golang-go (>= 1.0)
     ,protobuf-compiler
