## golang-gogoprotobuf 0.5

=== debian/changelog ===
golang-gogoprotobuf (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Stop using go 1.7 on ppc64el, as upstream fixed the issues.
  * Exclude package without non-test files from compilation.
  * Remove lintian overrides.
  * Update debian/copyright.

 -- Martín Ferrari <tincho@debian.org>  Sun, 15 Oct 2017 22:07:23 +0000

golang-gogoprotobuf (0.4-1) unstable; urgency=high

  * Add myself to Uploaders.
  * New upstream release. Closes: 871915.
  * Force usage of go 1.7 on ppc64el. Closes: 871914.
  * Lintian now fails to recognise the go binaries: add overrides.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.
  * debian/rules: Exclude from compilation packages without .go files.

 -- Martín Ferrari <tincho@debian.org>  Tue, 29 Aug 2017 04:26:42 +0000

golang-gogoprotobuf (0.3+git20170120.144.265e960d-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 12:37:26 +0300
