=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: golang-gogoprotobuf
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooĳ <jelmer@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 9), dh-golang (>= 1.9), golang-go (>= 1.0)
-    ,protobuf-compiler
-Standards-Version: 3.9.8
+Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
+           Martín Ferrari <tincho@debian.org>,
+           Tim Potter <tpot@hpe.com>,
+Build-Depends: debhelper (>= 9),
+               dh-golang (>= 1.9),
+               golang-any,
+               protobuf-compiler,
+Standards-Version: 4.1.0
 Homepage: https://github.com/gogo/protobuf
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gogoprotobuf.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-gogoprotobuf.git
+Testsuite: autopkgtest-pkg-go
+XS-Go-Import-Path: github.com/gogo/protobuf
 
 Package: golang-gogoprotobuf-dev
 Section: oldlibs
 Architecture: all
-Depends: ${misc:Depends}
-    ,golang-github-gogo-protobuf-dev
-    ,gogoprotobuf
+Depends: gogoprotobuf, golang-github-gogo-protobuf-dev, ${misc:Depends}
 Description: transitional package -- safe to remove
  This transitional package facilitates migration to
  "golang-github-gogo-protobuf-dev" and can be safely removed.
@@ -39,9 +42,10 @@
 Architecture: any
 Breaks: golang-gogoprotobuf-dev (<< 0.2-1)
 Replaces: golang-gogoprotobuf-dev (<< 0.2-1)
-Depends: ${shlibs:Depends}, ${misc:Depends}
-    ,golang-github-gogo-protobuf-dev (= ${source:Version})
-    ,protobuf-compiler
+Depends: golang-github-gogo-protobuf-dev (= ${source:Version}),
+         protobuf-compiler,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: alternative protocol buffer support for Golang - utilities
  An alternative protocol buffer support for the Go programming language,
  forked from golang-goprotobuf. It is backwards compatible with
