=== debian/changelog ===
golang-gogoprotobuf (1.0.0+git20180330.1ef32a8b-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Name update.
  * Add libprotobuf-dev to -dev package dependencies. Closes: #900136.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 20:11:54 +0000

golang-gogoprotobuf (1.0.0+git20180330.1ef32a8b-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Point Vcs-* urls to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Fri, 13 Apr 2018 08:58:57 -0400

golang-gogoprotobuf (0.5-2) unstable; urgency=medium

  [ Martín Ferrari ]
  * Team upload.
  * Automated cme updates.

  [ Michael Stapelberg ]
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:47:27 +0100

golang-gogoprotobuf (0.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Automated cme updates.

 -- Martín Ferrari <tincho@debian.org>  Mon, 08 Jan 2018 13:09:41 +0000
