=== debian/changelog ===
golang-gogoprotobuf (1.2.1+git20190611.dadb6258-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Team upload
  * New upstream version.

  [ Dmitry Smirnov]
  * debhelper & compat to version 11
  * rules: export DH_GOLANG_GO_GENERATE := 1

 -- Alexandre Viau <aviau@debian.org>  Mon, 01 Jul 2019 18:35:16 +0000
