=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: golang-gogoprotobuf
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
-           Martina Ferrari <tincho@debian.org>,
+           Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-golang (>= 1.9),
                golang-any,
                protobuf-compiler,
@@ -29,7 +29,6 @@
 Package: golang-github-gogo-protobuf-dev
 Architecture: all
 Depends: ${misc:Depends},
-         libprotobuf-dev,
 Recommends: gogoprotobuf,
 Breaks: golang-gogoprotobuf-dev (<< 0.2-1),
 Replaces: golang-gogoprotobuf-dev (<< 0.2-1),
