=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 #export DH_VERBOSE=1
 export DH_GOLANG_EXCLUDES =
+export DH_GOLANG_GO_GENERATE := 1
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
